diff -Naur -x debian /common/src/postgis/postgis-cvs6.orig/extras/ogc_test_suite/Makefile /common/src/postgis/postgis-cvs6/extras/ogc_test_suite/Makefile
--- /common/src/postgis/postgis-cvs6.orig/extras/ogc_test_suite/Makefile	2005-04-15 15:09:20.000000000 +0000
+++ /common/src/postgis/postgis-cvs6/extras/ogc_test_suite/Makefile	2005-06-29 00:53:04.000000000 +0000
@@ -1,15 +1,15 @@
 TESTDB=ogc_test_suite
+TMPDIR ?= /tmp
+	
 all:
-	createdb $(TESTDB) > /dev/null
-	createlang plpgsql $(TESTDB)
-	psql $(TESTDB) < ../../lwpostgis.sql >/dev/null 2>&1
-	psql -a -f 1_schema.sql $(TESTDB) > 1_output.txt 2>&1
-	psql -a -f 2_queries.sql $(TESTDB) > 2_output.txt 2>&1
+	createdb.postgis $(TESTDB) > /dev/null
+	psql -a -f 1_schema.sql $(TESTDB) > $(TMPDIR)/1_output.txt 2>&1
+	psql -a -f 2_queries.sql $(TESTDB) > $(TMPDIR)/2_output.txt 2>&1
 	@echo "---------------------------------------"
-	@echo "---* Check results in 2_output.txt *---"
+	@echo "---* Check results in $(TMPDIR)/2_output.txt *---"
 	@echo "---------------------------------------"
 	
 clean:
 	dropdb $(TESTDB)
-	rm -f 1_output.txt
-	rm -f 2_output.txt
+	rm -f $(TMPDIR)/1_output.txt
+	rm -f $(TMPDIR)/2_output.txt
diff -Naur -x debian /common/src/postgis/postgis-cvs6.orig/extras/ogc_test_suite/README /common/src/postgis/postgis-cvs6/extras/ogc_test_suite/README
--- /common/src/postgis/postgis-cvs6.orig/extras/ogc_test_suite/README	2005-04-15 15:09:20.000000000 +0000
+++ /common/src/postgis/postgis-cvs6/extras/ogc_test_suite/README	2005-06-29 00:53:04.000000000 +0000
@@ -3,18 +3,6 @@
 and legal adaptations necessary for PostGIS were added to allow it
 to run.
 
-- All tests must be run in a database named 'ogc' in order for the 
-  AddGeometryColumn() function calls to work.
-
-  createdb ogc
-  createlang plpgsql ogc
-  psql ogc < ../../lwpostgis.sql
-
-  psql -a -f 1_schema.sql ogc >& 1_output.txt
-  psql -a -f 2_queries.sql ogc >& 2_output.txt
-  psql -a -f 3_cleanup.sql ogc >& 3_output.txt
-
-- Load the test files in order. File 2 has the actual tests, with the
-  correct answers for each test in the comments.
-
+- Run make to perform the test.
+- Run make clean to clean the results.
 
diff -Naur -x debian /common/src/postgis/postgis-cvs6.orig/regress/run_index_regress /common/src/postgis/postgis-cvs6/regress/run_index_regress
--- /common/src/postgis/postgis-cvs6.orig/regress/run_index_regress	2005-03-07 13:58:04.000000000 +0000
+++ /common/src/postgis/postgis-cvs6/regress/run_index_regress	2005-06-29 00:53:04.330621405 +0000
@@ -13,9 +13,7 @@
 echo ""
 
 DB=postgis_reg
-createdb $DB > /dev/null
-createlang plpgsql $DB > /dev/null
-psql -f ../lwpostgis.sql $DB > /dev/null 2>&1
+createdb.postgis $DB > /dev/null
 psql -tA < regress_index.sql $DB > "${OUTFILE}" 2>&1
 diff regress_index_expected "${OUTFILE}"
 sleep 1
diff -Naur -x debian /common/src/postgis/postgis-cvs6.orig/regress/run_lwgeom_regress /common/src/postgis/postgis-cvs6/regress/run_lwgeom_regress
--- /common/src/postgis/postgis-cvs6.orig/regress/run_lwgeom_regress	2005-03-07 13:58:04.000000000 +0000
+++ /common/src/postgis/postgis-cvs6/regress/run_lwgeom_regress	2005-06-29 00:53:04.330621405 +0000
@@ -12,13 +12,7 @@
 echo "Building a database for testing (postgis_reg)."
 
 DB=postgis_reg
-createdb $DB > /dev/null
-
-echo "Building postgis support in it."
-echo ""
-
-createlang plpgsql $DB > /dev/null
-psql -f ../lwpostgis.sql $DB > /dev/null 2>&1
+createdb.postgis $DB > /dev/null
 
 echo "there shouldnt be any real output produced after this line."
 echo ""
diff -Naur -x debian /common/src/postgis/postgis-cvs6.orig/regress/run_ogc_regress /common/src/postgis/postgis-cvs6/regress/run_ogc_regress
--- /common/src/postgis/postgis-cvs6.orig/regress/run_ogc_regress	2005-03-07 13:58:04.000000000 +0000
+++ /common/src/postgis/postgis-cvs6/regress/run_ogc_regress	2005-06-29 00:53:04.330621405 +0000
@@ -13,9 +13,7 @@
 echo
 
 DB=postgis_reg
-createdb $DB > /dev/null
-createlang plpgsql $DB > /dev/null
-psql -f ../lwpostgis.sql $DB > /dev/null 2>&1
+createdb.postgis $DB > /dev/null
 psql -tA < regress_ogc.sql $DB 2>&1 | grep -v INSERT > "${OUTFILE}"
 diff regress_ogc_expected "${OUTFILE}"
 sleep 1
diff -Naur -x debian /common/src/postgis/postgis-cvs6.orig/regress/run_regress /common/src/postgis/postgis-cvs6/regress/run_regress
--- /common/src/postgis/postgis-cvs6.orig/regress/run_regress	2005-03-07 13:58:04.000000000 +0000
+++ /common/src/postgis/postgis-cvs6/regress/run_regress	2005-06-29 00:53:04.331621242 +0000
@@ -13,9 +13,7 @@
 echo
 
 DB=postgis_reg
-createdb $DB > /dev/null
-createlang plpgsql $DB > /dev/null
-psql -f ../lwpostgis.sql $DB > /dev/null 2>&1
+createdb.postgis $DB > /dev/null
 psql -tA < regress.sql $DB 2>&1 | grep -v INSERT > "${OUTFILE}"
 diff regress_expected "${OUTFILE}"
 sleep 1
